class C {
    private long [] bits;
    private C() {
	bits = new long[(bar() + 1)];
    }
    
    void foo() {
	int unitIndex = bar();
	bits[unitIndex] |= bit(unitIndex);
    }

    int bar() {
	return 2;
    }
    
    int bit(int i) {
	return 2;
    }

    static public void main(String[] args) {
	new C().foo();
    }
    
}
